package com.zcloud.service.commitment;


import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：承诺书副文表
 * 作者：yangming
 * 时间：2022-12-29
 */
public interface CorpPromiseDetailsService {

    /**新增
     * @param pd
     * @throws Exception
     */
    public void save(PageData pd)throws Exception;

    /**列表
     * @param page
     * @throws Exception
     */
    public List<PageData> list(Page page)throws Exception;

    /*通过承诺书查询副文
     * @param pd
     * @throws Exception
     */
    List<PageData> findByPromiseId(PageData pd)throws Exception;

    void deletePromiseId(PageData pd)throws Exception;
}
